EmbeddedGraphDatabase (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.kernel
Class EmbeddedGraphDatabase

    java.lang.Object
      org.neo4j.kernel.AbstractGraphDatabase
          org.neo4j.kernel.InternalAbstractGraphDatabase
              org.neo4j.kernel.EmbeddedGraphDatabase

All Implemented Interfaces:
  GraphDatabaseService, GraphDatabaseAPI

    public class EmbeddedGraphDatabase

extends InternalAbstractGraphDatabase

An implementation of `GraphDatabaseService` that is used to embed Neo4j in an application. You typically instantiate it by invoking the `single argument constructor` that takes a path to a directory where Neo4j will store its data files, as such:

     GraphDatabaseService graphDb = new EmbeddedGraphDatabase( "var/graphdb" );
     // ... use Neo4j
     graphDb.shutdown();

For more information, see `GraphDatabaseService`.

Nested Class Summary

Nested classes/interfaces inherited from class org.neo4j.kernel.InternalAbstractGraphDatabase
`InternalAbstractGraphDatabase.Configuration, InternalAbstractGraphDatabase.DefaultKernelData`

Field Summary

Fields inherited from class org.neo4j.kernel.InternalAbstractGraphDatabase
`caches, config, diagnosticsManager, extensions, fileSystem, guard, idGeneratorFactory, indexManager, indexProviders, indexStore, kernelEventHandlers, kernelPanicEventGenerator, lastCommittedTxIdSetter, life, lockManager, lockReleaser, logBufferFactory, logging, msgLog, neoDataSource, nodeAutoIndexer, nodeManager, params, persistenceManager, persistenceSource, propertyIndexManager, ragManager, recoveryVerifier, relationshipTypeCreator, relationshipTypeHolder, relAutoIndexer, storeDir, storeFactory, storeId, syncHook, transactionEventHandlers, txHook, txIdGenerator, txManager, xaDataSourceManager, xaFactory`

Constructor Summary
`EmbeddedGraphDatabase(String storeDir)` Creates an embedded `GraphDatabaseService` with a store located in `storeDir`, which will be created if it doesn't already exist.
`EmbeddedGraphDatabase(String storeDir, Map<String,String> params)` A non-standard way of creating an embedded `GraphDatabaseService` with a set of configuration parameters.
`EmbeddedGraphDatabase(String storeDir, Map<String,String> params, Iterable<IndexProvider> indexProviders, Iterable<KernelExtension> kernelExtensions, Iterable<org.neo4j.kernel.impl.cache.CacheProvider> cacheProviders)`

Method Summary

Methods inherited from class org.neo4j.kernel.InternalAbstractGraphDatabase
`beginTx, createCaches, createFileSystemAbstraction, createIdGeneratorFactory, createKernelData, createLastCommittedTxIdSetter, createLockManager, createNode, createNodeLookup, createRecoveryVerifier, createRelationshipLookups, createRelationshipTypeCreator, createStoreFactory, createStringLogger, createTxHook, createTxIdGenerator, equals, getAllNodes, getConfig, getDiagnosticsManager, getGuard, getIdGeneratorFactory, getKernelData, getKernelPanicGenerator, getLockManager, getLockReleaser, getManagementBean, getManagementBeans, getMessageLog, getNodeById, getNodeManager, getPersistenceSource, getReferenceNode, getRelationshipById, getRelationshipTypeHolder, getRelationshipTypes, getSingleManagementBean, getStoreDir, getStoreId, getTxIdGenerator, getTxManager, getXaDataSourceManager, hashCode, index, isEphemeral, registerKernelEventHandler, registerTransactionEventHandler, run, shutdown, toString, transactionRunning, tx, unregisterKernelEventHandler, unregisterTransactionEventHandler`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EmbeddedGraphDatabase

    public EmbeddedGraphDatabase(String storeDir)

  Creates an embedded `GraphDatabaseService` with a store located in `storeDir`, which will be created if it doesn't already exist.

  Parameters:
    `storeDir` - the store directory for the Neo4j store files

### EmbeddedGraphDatabase

    public EmbeddedGraphDatabase(String storeDir,
                                 Map<String,String> params)

  A non-standard way of creating an embedded `GraphDatabaseService` with a set of configuration parameters.

  Creates an embedded `GraphDatabaseService` with a store located in `storeDir`, which will be created if it doesn't already exist.

  Parameters:
    `storeDir` - the store directory for the db files
    `params` - configuration parameters

### EmbeddedGraphDatabase

    public EmbeddedGraphDatabase(String storeDir,
                                 Map<String,String> params,
                                 Iterable<IndexProvider> indexProviders,
                                 Iterable<KernelExtension> kernelExtensions,
                                 Iterable<org.neo4j.kernel.impl.cache.CacheProvider> cacheProviders)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.